update database due to a change in Chilean timezone

Bug #948328 reported by Victor Vargas on 2012-03-06
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Unassigned
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
High
Unassigned

Bug Description

Please, we need to update and port those updates to ubuntu 8.04 and newer versions due to an extension in our daylight saving time (CLT), the goverment has published this information at http://www.doe.cl/fsumarios/2012-03-03/z0301001.pdf and here http://www.horaoficial.cl/cambio.htm

Debian Unstable has accepted version 2012b-1 that should include those changes:
http://packages.qa.debian.org/t/tzdata/news/20120306T185044Z.html

This issue is related to http://rhn.redhat.com/errata/RHEA-2012-0356.html

Best regards,
Victor

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: tzdata 2011n-2
ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
ApportVersion: 1.94-0ubuntu2
Architecture: amd64
Date: Tue Mar 6 16:08:59 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120214)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=es_CL:es
 TERM=xterm
 PATH=(custom, no user)
 LANG=es_CL.UTF-8
 SHELL=/bin/bash
SourcePackage: tzdata
UpgradeStatus: Upgraded to precise on 2012-02-17 (18 days ago)

Victor Vargas (kamus) wrote :
Victor Vargas (kamus) on 2012-03-06
description: updated
Victor Vargas (kamus) on 2012-03-08
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tzdata (Ubuntu):
status: New → Confirmed
Gary Lasker (gary-lasker) wrote :

Hey folks. I will try to prepare these updates tonight if I can. If I don't manage to get to it, pitti said he expects to be able to take care of this one tomorrow. Nevertheless, I just want everyone to know that this one is on our radar!

And thanks!!

Changed in tzdata (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Victor Vargas (kamus) wrote :

Thanks Gary!

Martin Pitt (pitti) wrote :

I synced 2012b-1 into precise yesterday.

Changed in tzdata (Ubuntu Precise):
status: Triaged → Fix Released
Martin Pitt (pitti) wrote :

Wrong 2011n data:

America/Santiago Sun Mar 11 02:59:59 2012 UTC = Sat Mar 10 23:59:59 2012 CLST isdst=1 gmtoff=-10800
America/Santiago Sun Mar 11 03:00:00 2012 UTC = Sat Mar 10 23:00:00 2012 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 14 03:59:59 2012 UTC = Sat Oct 13 23:59:59 2012 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 14 04:00:00 2012 UTC = Sun Oct 14 01:00:00 2012 CLST isdst=1 gmtoff=-10800

2012b corrects this to:

America/Santiago Sun Apr 29 02:59:59 2012 UTC = Sat Apr 28 23:59:59 2012 CLST isdst=1 gmtoff=-10800
America/Santiago Sun Apr 29 03:00:00 2012 UTC = Sat Apr 28 23:00:00 2012 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Sep 2 03:59:59 2012 UTC = Sat Sep 1 23:59:59 2012 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Sep 2 04:00:00 2012 UTC = Sun Sep 2 01:00:00 2012 CLST isdst=1 gmtoff=-10800

which coincides with http://www.horaoficial.cl/cambio.htm.

Hello Kamus, or anyone else affected,

Accepted tzdata into lucid-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Kamus, or anyone else affected,

Accepted tzdata into maverick-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Natty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Kamus, or anyone else affected,

Accepted tzdata into natty-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Kamus, or anyone else affected,

Accepted tzdata into hardy-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Oneiric):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Kamus, or anyone else affected,

Accepted tzdata into oneiric-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Verified hardy, lucid, and oneiric. Releasing to -updates as the change will become effective tomorrow.

Thanks to the Chilenian government for a very generous 11 days period of advance notice. (Argh!)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2012b~repack-0ubuntu0.8.04

---------------
tzdata (2012b~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2012b:
    - Update DST rules for Chile (LP: #948328), Armenia, Samoa, Cuba,
      Falkland.
    - Fix historic DST rules for Canada.
    - Add leap seconds for June 2012.
 -- Martin Pitt <email address hidden> Fri, 09 Mar 2012 09:57:49 +0100

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2012b-0ubuntu0.11.10

---------------
tzdata (2012b-0ubuntu0.11.10) oneiric-proposed; urgency=low

  * New upstream release 2012b:
    - Update DST rules for Chile (LP: #948328), Armenia, Samoa, Cuba,
      Falkland.
    - Fix historic DST rules for Canada.
    - Add leap seconds for June 2012.
 -- Martin Pitt <email address hidden> Fri, 09 Mar 2012 09:54:27 +0100

Changed in tzdata (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2012b-0ubuntu0.10.04

---------------
tzdata (2012b-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2012b:
    - Update DST rules for Chile (LP: #948328), Armenia, Samoa, Cuba,
      Falkland.
    - Fix historic DST rules for Canada.
    - Add leap seconds for June 2012.
 -- Martin Pitt <email address hidden> Fri, 09 Mar 2012 08:40:50 +0000

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I verified maverick and natty as well.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2012b-0ubuntu0.10.10

---------------
tzdata (2012b-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2012b:
    - Update DST rules for Chile (LP: #948328), Armenia, Samoa, Cuba,
      Falkland.
    - Fix historic DST rules for Canada.
    - Add leap seconds for June 2012.
 -- Martin Pitt <email address hidden> Fri, 09 Mar 2012 08:47:09 +0000

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2012b-0ubuntu0.11.04

---------------
tzdata (2012b-0ubuntu0.11.04) natty-proposed; urgency=low

  * New upstream release 2012b:
    - Update DST rules for Chile (LP: #948328), Armenia, Samoa, Cuba,
      Falkland.
    - Fix historic DST rules for Canada.
    - Add leap seconds for June 2012.
 -- Martin Pitt <email address hidden> Fri, 09 Mar 2012 09:51:24 +0100

Changed in tzdata (Ubuntu Natty):
status: Fix Committed → Fix Released
Victor Vargas (kamus) wrote :

Martin, I can confirm that is working fine under 10.04 and 8.04 series. Thanks again for give us those updates in time :)

Hi, Where can i download these fix.

Manuel

Gary Lasker (gary-lasker) wrote :

Hi Manuel, this is a regular update for your Ubuntu machine so simply running Update Manager and downloading all any new available updates will include it. Please let us know if you have any problems.

Thanks!

Gary Lasker (gary-lasker) wrote :

And many thanks, Martin, for taking care of this!! :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers